package com.vandyo.sentry.core;

import com.vandyo.sentry.core.cases.CarListDecorator;
import com.vandyo.sentry.core.cases.Case;
import com.vandyo.sentry.core.cases.LoginCase;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class Tmp {
    private static final Logger log = LoggerFactory.getLogger(Tmp.class);
    private static Integer times = 0;

    @Value("${vandyo.sid}")
    private String sId;
    @Value("${vandyo.uid}")
    private String uid;
    @Value("${vandyo.mobile}")
    public String mobile;
    @Value("${vandyo.pwd}")
    public String pwd;

    @Scheduled(fixedRate = 5000)
    public void test(){
        log.info("we run it {} times",++times);
        Case case1 = null;
        case1 = new LoginCase(mobile,pwd);
        case1 = new CarListDecorator(case1);
        case1.check();

    }
}
